Skala
Product recipes

Recalculate product recipe

Triggers a recalculation of required materials, ratios, and costs for a specific product recipe.

GET
/api/product_recipes/{id}/recalculate

Triggers a recalculation of required materials, ratios, and costs for a specific product recipe.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProductRecipe identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/product_recipes/string/recalculate"
{
  "id": 0,
  "cost": "string",
  "product": {
    "id": 0,
    "name": "string",
    "category": {
      "id": 0,
      "name": "string"
    },
    "unit": {
      "id": 0,
      "name": "string"
    },
    "currency": {
      "id": 0,
      "name": "string",
      "code": "string",
      "symbol": "string"
    },
    "isMaking": true,
    "isBuying": true,
    "unitConversion": 1
  },
  "items": [
    {}
  ],
  "isNeedRecalculate": true
}
Empty